"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatMessageEntry = void 0;
const figures_1 = __importDefault(require("figures"));
const ink_1 = require("ink");
const react_1 = __importDefault(require("react"));
function ChatMessageEntry({ author, content, active, }) {
    return (react_1.default.createElement(ink_1.Box, { marginLeft: 1 },
        !!author && (react_1.default.createElement(ink_1.Box, { marginRight: 1 },
            react_1.default.createElement(ink_1.Text, { bold: true },
                author,
                ' ',
                react_1.default.createElement(ink_1.Text, { color: active ? 'redBright' : undefined }, figures_1.default.pointer)))),
        react_1.default.createElement(ink_1.Text, { wrap: "truncate-end" }, content)));
}
exports.ChatMessageEntry = ChatMessageEntry;
