"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatMessages = void 0;
const ink_1 = require("ink");
const react_1 = __importStar(require("react"));
const useScrollableList_1 = require("../../hooks/useScrollableList");
const ScrollableItemList_1 = require("../scrollable/ScrollableItemList");
const ChatMessageEntry_1 = require("./ChatMessageEntry");
function ChatMessages(_a) {
    var _b;
    var { messages } = _a, props = __rest(_a, ["messages"]);
    const [activeChatIdx, setCurrentIdx] = useScrollableList_1.useScrollableList(Math.max(0, messages.length - 1), messages);
    const activeId = (_b = messages[activeChatIdx]) === null || _b === void 0 ? void 0 : _b.id;
    react_1.useEffect(() => {
        setCurrentIdx(Math.max(0, messages.length - 1));
    }, [messages.length]);
    return (react_1.default.createElement(ink_1.Box, { width: "100%", flexGrow: 1 },
        react_1.default.createElement(ScrollableItemList_1.ScrollableItemList, Object.assign({ width: "100%", activeIdx: activeChatIdx }, props), messages.map((msg) => {
            return (react_1.default.createElement(ChatMessageEntry_1.ChatMessageEntry, Object.assign({ key: msg.id }, msg, { active: msg.id === activeId })));
        }))));
}
exports.ChatMessages = ChatMessages;
