"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrderedList = void 0;
const ink_1 = require("ink");
const react_1 = __importDefault(require("react"));
function OrderedList({ symbol = undefined, children = undefined, listIndicatorColor = undefined, }) {
    return (react_1.default.createElement(ink_1.Text, null, react_1.default.Children.map(children, (child, idx) => {
        const listSymbol = typeof symbol === 'undefined' ? `${idx + 1}.` : symbol;
        return (react_1.default.createElement(ink_1.Text, null,
            react_1.default.createElement(ink_1.Text, { color: listIndicatorColor || 'redBright' },
                listSymbol,
                " "),
            child));
    })));
}
exports.OrderedList = OrderedList;
