"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DemoInfoHeader = void 0;
const ink_1 = require("ink");
const react_1 = __importDefault(require("react"));
const Bold_1 = require("../common/Bold");
const ProgrammingLanguageTags_1 = require("./ProgrammingLanguageTags");
function DemoInfoHeader({ name, languages, activeLanguageIdx, }) {
    return (react_1.default.createElement(ink_1.Box, { justifyContent: "space-between" },
        react_1.default.createElement(ink_1.Box, null,
            react_1.default.createElement(Bold_1.Bold, null, name)),
        react_1.default.createElement(ProgrammingLanguageTags_1.ProgrammingLanguageTags, { languages: languages, activeIdx: activeLanguageIdx })));
}
exports.DemoInfoHeader = DemoInfoHeader;
