"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecretInput = exports.TextInput = void 0;
const ink_text_input_1 = __importDefault(require("ink-text-input"));
const react_1 = __importStar(require("react"));
exports.TextInput = (_a) => {
    var { name, defaultValue, onSubmit } = _a, props = __rest(_a, ["name", "defaultValue", "onSubmit"]);
    const [value, setValue] = react_1.useState(defaultValue || '');
    const wrappedOnSubmit = react_1.useCallback((val) => {
        onSubmit({
            [name]: val,
        });
    }, [name, onSubmit]);
    return (react_1.default.createElement(ink_text_input_1.default, Object.assign({ value: value, onChange: setValue, onSubmit: wrappedOnSubmit }, props)));
};
exports.SecretInput = (_a) => {
    var props = __rest(_a, []);
    return react_1.default.createElement(exports.TextInput, Object.assign({}, props, { mask: "*" }));
};
