"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MissingAvatar = void 0;
const react_1 = __importDefault(require("react"));
const asciiLogos_1 = require("../../utils/asciiLogos");
const Image_1 = require("./Image");
function MissingAvatar() {
    const noColor = process.env.FORCE_COLOR === '0';
    const additionalMessage = noColor
        ? ''
        : 'Configure your avatar on\n    signal.twilio.com';
    return react_1.default.createElement(Image_1.Image, { imageString: asciiLogos_1.SIGNAL + `\n${additionalMessage}`, color: "cyan" });
}
exports.MissingAvatar = MissingAvatar;
