"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InstallationSummary = void 0;
const ink_1 = require("ink");
const react_1 = __importDefault(require("react"));
const Bold_1 = require("../common/Bold");
function InstallationSummary({ directory }) {
    return (react_1.default.createElement(ink_1.Box, { flexDirection: "column" },
        react_1.default.createElement(ink_1.Text, null,
            "Your new project has been created at: ",
            react_1.default.createElement(Bold_1.Bold, null, directory),
            ". Open the README.md file for further instructions.")));
}
exports.InstallationSummary = InstallationSummary;
