"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetAndCreateDirectoryQuestions = void 0;
const react_1 = __importDefault(require("react"));
const Form_1 = require("../../form/Form");
function GetAndCreateDirectoryQuestions({ dispatch, }) {
    const questions = [
        {
            type: 'text',
            name: 'directory',
            message: 'Enter a directory',
            details: `This directory is relative from ${process.cwd()}`,
        },
    ];
    return (react_1.default.createElement(Form_1.Form, { questions: questions, onSubmit: (data) => dispatch({ type: 'PROVIDE_DIRECTORY', data }) }));
}
exports.GetAndCreateDirectoryQuestions = GetAndCreateDirectoryQuestions;
