"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Pane = void 0;
const ink_1 = require("ink");
const react_1 = __importDefault(require("react"));
const useResize_1 = require("../../hooks/useResize");
const breakpoints_1 = __importDefault(require("../../utils/breakpoints"));
const Headline_1 = require("../common/Headline");
exports.Pane = (_a) => {
    var { headline, children } = _a, props = __rest(_a, ["headline", "children"]);
    const { shouldRender, width, height } = useResize_1.useBreakpointForWindow(breakpoints_1.default.SHOW_REGULAR_HEADLINE);
    let headlineElement = null;
    if (headline) {
        headlineElement = (react_1.default.createElement(ink_1.Box, { justifyContent: "center" },
            react_1.default.createElement(Headline_1.Headline, { text: headline, shouldRenderLargeHeadline: shouldRender, windowWidth: width, windowHeight: height })));
    }
    return (react_1.default.createElement(ink_1.Box, Object.assign({ flexDirection: "column", flexGrow: 1 }, props),
        headlineElement,
        children));
};
__exportStar(require("./PaneContent"), exports);
