"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.prevIdxWithoutRollover = exports.nextIdxWithoutRollover = exports.prevIdxWithRollover = exports.nextIdxWithRollover = void 0;
function nextIdxWithRollover(current, array) {
    return (current + 1) % array.length;
}
exports.nextIdxWithRollover = nextIdxWithRollover;
function prevIdxWithRollover(current, array) {
    return (current + array.length - 1) % array.length;
}
exports.prevIdxWithRollover = prevIdxWithRollover;
function nextIdxWithoutRollover(current, array) {
    return Math.min(array.length - 1, current + 1);
}
exports.nextIdxWithoutRollover = nextIdxWithoutRollover;
function prevIdxWithoutRollover(current) {
    return Math.max(0, current - 1);
}
exports.prevIdxWithoutRollover = prevIdxWithoutRollover;
