"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Cursor = void 0;
const ink_1 = require("ink");
const react_1 = __importDefault(require("react"));
function Cursor({ color = 'redBright', active = true }) {
    // using an empty space with background coloring because it renders more consistently than special characters
    return react_1.default.createElement(ink_1.Text, { backgroundColor: active ? color : undefined }, " ");
}
exports.Cursor = Cursor;
