"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DemoEntryOptions = exports.DemoEntryBox = void 0;
const ink_1 = require("ink");
const react_1 = __importStar(require("react"));
const DemoDescription_1 = require("./DemoDescription");
const DemoInfoHeader_1 = require("./DemoInfoHeader");
function DemoEntryBox(_a) {
    var { demo, language = undefined, showDescription = true, activeLanguageIdx = 0, children = undefined, slim = false } = _a, props = __rest(_a, ["demo", "language", "showDescription", "activeLanguageIdx", "children", "slim"]);
    const languages = react_1.useMemo(() => (language ? [language] : demo.options.map((o) => o.language)), [demo, language]);
    return (react_1.default.createElement(ink_1.Box, Object.assign({ borderStyle: "single", flexDirection: "column", paddingX: 1, paddingY: slim ? 0 : 1, height: slim ? 6 : 8, minHeight: slim ? 6 : 8 }, props),
        react_1.default.createElement(DemoInfoHeader_1.DemoInfoHeader, { name: demo.name, languages: languages, activeLanguageIdx: activeLanguageIdx }),
        showDescription ? (react_1.default.createElement(DemoDescription_1.DemoDescription, null, demo.description)) : null,
        children));
}
exports.DemoEntryBox = DemoEntryBox;
var demoEntryMachine_1 = require("../../machines/demoEntryMachine");
Object.defineProperty(exports, "DemoEntryOptions", { enumerable: true, get: function () { return demoEntryMachine_1.DemoEntryOptions; } });
