"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProgrammingLanguageTags = void 0;
const ink_1 = require("ink");
const react_1 = __importDefault(require("react"));
const ProgrammingLanguageTag_1 = require("../common/ProgrammingLanguageTag");
function ProgrammingLanguageTags({ languages, activeIdx, }) {
    return (react_1.default.createElement(ink_1.Box, null, languages.map((l, idx) => {
        const active = activeIdx === idx;
        const isLastItem = idx === languages.length - 1;
        return (react_1.default.createElement(ink_1.Box, { marginRight: !isLastItem ? 1 : 0, key: l },
            react_1.default.createElement(ProgrammingLanguageTag_1.ProgrammingLanguageTag, { language: l, active: active })));
    })));
}
exports.ProgrammingLanguageTags = ProgrammingLanguageTags;
