"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Input = void 0;
const figures_1 = __importDefault(require("figures"));
const ink_1 = require("ink");
const react_1 = __importStar(require("react"));
const ConfirmInput_1 = require("./ConfirmInput");
const TextInput_1 = require("./TextInput");
exports.Input = (_a) => {
    var { type, details, message, active, done, name } = _a, props = __rest(_a, ["type", "details", "message", "active", "done", "name"]);
    const [isInvalid, setInvalid] = react_1.useState(false);
    let InputComponent = TextInput_1.TextInput;
    if (type === 'text') {
        InputComponent = TextInput_1.TextInput;
    }
    else if (type === 'confirm') {
        message = message + (props.defaultValue ? '(Y/n)' : '(y/N)');
        InputComponent = ConfirmInput_1.ConfirmInput;
    }
    else if (type === 'secret') {
        InputComponent = TextInput_1.SecretInput;
    }
    const prefix = done ? (react_1.default.createElement(ink_1.Text, { bold: true, color: "green" }, figures_1.default.tick)) : isInvalid ? (react_1.default.createElement(ink_1.Text, { bold: true, color: "redBright" }, figures_1.default.cross)) : active ? (react_1.default.createElement(ink_1.Text, { bold: true, color: "green" }, figures_1.default.pointer)) : (react_1.default.createElement(ink_1.Text, { bold: true, color: "blue" }, "?"));
    return (react_1.default.createElement(ink_1.Box, { flexDirection: "column" },
        react_1.default.createElement(ink_1.Box, null,
            react_1.default.createElement(ink_1.Box, { marginRight: 1 },
                react_1.default.createElement(ink_1.Text, { bold: true },
                    prefix,
                    " ",
                    message)),
            react_1.default.createElement(ink_1.Box, null,
                react_1.default.createElement(InputComponent, Object.assign({}, props, { name: name, focus: active, onInvalid: () => setInvalid(true) })))),
        details && (react_1.default.createElement(ink_1.Box, { marginLeft: 2 },
            react_1.default.createElement(ink_1.Text, { dimColor: true, wrap: "truncate-end" }, details)))));
};
