"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Image = void 0;
const ink_1 = require("ink");
const react_1 = __importDefault(require("react"));
exports.Image = react_1.default.forwardRef(({ imageString, color, height }, ref) => {
    let renderedString = imageString;
    if (typeof imageString === 'string' &&
        typeof height === 'number' &&
        imageString.split('\n').length > height) {
        renderedString = (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(ink_1.Text, { dimColor: true }, "Increase size to show avatar")));
    }
    return (react_1.default.createElement(ink_1.Box, { ref: ref, flexGrow: 1, flexShrink: 1, justifyContent: "center" },
        react_1.default.createElement(ink_1.Text, { color: color }, renderedString)));
});
