"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OpenProjectBox = void 0;
const ink_1 = require("ink");
const react_1 = __importDefault(require("react"));
const Bold_1 = require("../common/Bold");
const Button_1 = require("../common/Button");
function OpenProjectBox({ slim = false, onOpen }) {
    const paddingTopBottom = slim ? 0 : 1;
    return (react_1.default.createElement(ink_1.Box, { borderStyle: "bold", paddingLeft: 1, paddingRight: 1, paddingY: paddingTopBottom, flexGrow: 0, flexShrink: 0, flexDirection: "row", justifyContent: "space-between" },
        react_1.default.createElement(Button_1.Button, { autoFocus: true, onAction: onOpen }, "Open Project"),
        react_1.default.createElement(Bold_1.Bold, null, "We can't wait to see what you build!")));
}
exports.OpenProjectBox = OpenProjectBox;
