"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InstallDependenciesQuestions = void 0;
const react_1 = __importStar(require("react"));
const Form_1 = require("../../form/Form");
function InstallDependenciesQuestions({ dispatch, }) {
    const questions = [
        {
            type: 'confirm',
            name: 'install',
            message: 'Do you want to install dependencies?',
            details: `If you continue, this might take a bit. You can enjoy the conference in the meantime or skip to check out the code.`,
        },
    ];
    const onSubmit = react_1.useCallback((data) => {
        if (!data.install) {
            dispatch({ type: 'DENY' });
        }
        else {
            dispatch({ type: 'CONFIRM' });
        }
    }, []);
    return react_1.default.createElement(Form_1.Form, { questions: questions, onSubmit: onSubmit });
}
exports.InstallDependenciesQuestions = InstallDependenciesQuestions;
