"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResourceLinkBox = void 0;
const ink_1 = require("ink");
const react_1 = __importStar(require("react"));
const openLink_1 = require("../../utils/openLink");
const Bold_1 = require("../common/Bold");
const Button_1 = require("../common/Button");
function ResourceLinkBox({ link, slim = false }) {
    const openLink = react_1.useCallback(() => {
        openLink_1.openBrowserUrl(link.url);
    }, [link]);
    return (react_1.default.createElement(ink_1.Box, { borderStyle: "single", flexDirection: "column", paddingX: 1, paddingY: slim ? 0 : 1, flexGrow: 0, flexShrink: 0 },
        react_1.default.createElement(Bold_1.Bold, null, link.name),
        react_1.default.createElement(ink_1.Box, { marginBottom: 1 },
            react_1.default.createElement(ink_1.Text, { dimColor: true }, link.url)),
        react_1.default.createElement(Button_1.Button, { autoFocus: true, onAction: openLink }, "Open Link")));
}
exports.ResourceLinkBox = ResourceLinkBox;
