"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLogValueChange = void 0;
const react_1 = require("react");
const util_1 = require("util");
const logger_1 = __importDefault(require("../utils/logger"));
function useLogValueChange(label, value) {
    react_1.useEffect(() => {
        const obj = { msg: util_1.format('%s changed', label), value: value };
        logger_1.default.debug(obj);
    }, [value]);
}
exports.useLogValueChange = useLogValueChange;
