"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.breakpoints = exports.SHOW_APP = exports.SHOW_FULL_WELCOME_DESCRIPTION = exports.SHOW_MEDIUM_WELCOME_DESCRIPTION = exports.SHOW_SHORT_WELCOME_DESCRIPTION = exports.SHOW_CHEATMODE = exports.SHOW_INSTALLER = exports.SHOW_SCHEDULE_SECTION = exports.SHOW_DEMO_SECTION = exports.SHOW_AVATAR = exports.SHOW_REGULAR_HEADLINE = void 0;
exports.SHOW_REGULAR_HEADLINE = {
    minWidth: 140,
    minHeight: 40,
};
exports.SHOW_AVATAR = {
    minHeight: 45,
};
exports.SHOW_DEMO_SECTION = {
    minWidth: 68,
    minHeight: 16,
};
exports.SHOW_SCHEDULE_SECTION = {
    minWidth: 68,
    minHeight: 16,
};
exports.SHOW_INSTALLER = {
    minWidth: 68,
};
exports.SHOW_CHEATMODE = {
    minWidth: 79,
};
exports.SHOW_SHORT_WELCOME_DESCRIPTION = {
    minArea: 65 * 20,
};
exports.SHOW_MEDIUM_WELCOME_DESCRIPTION = {
    minArea: 68 * 30,
};
exports.SHOW_FULL_WELCOME_DESCRIPTION = {
    minArea: 68 * 39,
};
exports.SHOW_APP = {
    minHeight: 20,
};
exports.breakpoints = {
    SHOW_AVATAR: exports.SHOW_AVATAR,
    SHOW_REGULAR_HEADLINE: exports.SHOW_REGULAR_HEADLINE,
    SHOW_INSTALLER: exports.SHOW_INSTALLER,
    SHOW_DEMO_SECTION: exports.SHOW_DEMO_SECTION,
    SHOW_CHEATMODE: exports.SHOW_CHEATMODE,
};
exports.default = exports.breakpoints;
